본문 바로가기
기타 IT 정보

KoNLP 패키지 설치 오류 해결 방법

by minimax95 2020. 5. 18.

이번 포스팅에서는 R 패키지 중 텍스트 마이닝을 위한 KoNLP 패키지 설치시 발생하는 오류에 대해 살펴보겠습니다.

다른 R패키지와는 달리 KoNLP 패키지는 설치가 쉽지 않았습니다.

필자도 텍스트 마이닝 분석을 사용하기 위해 KoNLP 패키지 설치를 하려고 했으나 여러가지 설치 에러가 발생하면서

시간을 허비하게 되었습니다.

KoNLP 설치시 발생했던 오류를 정리하여 같은 문제로 고생하지 않도록 포스팅을 올립니다.

 

먼저 KoNLP 패키지를 설치하려면 내 컴퓨터에 Java 패키지가 설치되어 있어야 합니다. 필요한 패키지는 자바실행환경을 제공해 주는 Java JRE가 필요하지만 필자는 통합개발도구인 JDK를 설치하였습니다. 구글에 'JAVA JDK 다운로드'를 검색하시면 JAVA SE를 무료로 다운받아 설치하실 수 있습니다. 자바 설치 이후에 환경변수 설정을 해주어야 합니다.

파일 탐색기 내컴퓨터에서 우클릭을 하시고 속성 항목을 클릭하시면 제어판의 시스템 페이지가 나옵니다. 여기서 고급시스템 설정으로 들어가시면 시스템 속성 창이 뜨고 여기서 환경 변수 버튼을 클릭해 줍니다.

새로만들기 버튼을 클릭 하여 아래와 같이 새 시스템 변수 창이 나오면 

변수 이름은 JAVA_HOME, 변수 값으로 JAVA 설치경로 "C:\Program Files\Java\jdk1.8.0_201"로 넣어줍니다.

시스템 변수 설정 후 Path를 선택하고 환경변수를 아래와 같이 설정해줍니다.

이제 자바 설치 및 환경변수 설정이 끝났습니다.

 

KoNLP 패키지를 설치하려면 Rtools도 필요합니다.

구글에서 Rtools 설치를 검색하시면 'Using Rtools40 on Windows'가 나오는데 여기서 우리가 필요한 Rtools를 다운로드 받습니다. 제가 받은 파일 버전은 'rtools40-x86_64.exe' 파일입니다.

 

Rtools 설치가 완료되면 RStudio에서 나머지 필요한 작업을 진행하겠습니다.

 

KoNLP 설치를 위해서 필요한 패키지들이 꽤 많이 있는데 먼저 rJava 패키지와  memoise 패키지를 설치해 주겠습니다.

그리고 아래 그림처럼 multilinguer 패키지와 기타 의존성 패키지들을 설치해 줍니다.

 

그리고 진짜 중요한 KoNLP 패키지 설치를 해야 하는데 그냥 install.packages("KoNLP") 명령을 실행하면

아래와 같은 오류 메시지가 나옵니다.

KoNLP 패키지가 R 4.0.0 버전용에서는 사용할 수 없다고 나옵니다.

 

처음에는 R 버전 문제라 생각하고 다른 버전으로도 설치 해보고

구글링을 통해서 KoNLP 설치 관련 여러가지 방법들을 적용해 보았지만 계속 시행착오를 하였고

공허한 삽질 끝에 KoNLP 설치를 위한 방법을 찾아낼 수 있었습니다.

 

깃허브와 연동해서 설치하는 것이 유일하게 success를 얻어낼 수 있었습니다.

깃허브와 연동을 위해서 아래의 이미지 처럼 remotes 패키지를 설치하고

github에서 우리가 필요한 KoNLP 패키지를 설치해 보겠습니다.

KoNLP 패키지 설치를 위해 Java로부터 시작해서 정말 많은 패키지들을 설치하느라 시간이 좀 걸렸지만

KoNLP 패키지를 성공적으로 설치할 수 있었습니다.

 

다음 포스팅에서는 KoNLP 패키지를 이용해서 문서에 담긴 가치있는 정보를 뽑아내는 텍스트 마이닝을 살펴보겠습니다.

 

KoNLP 패키지 설치와 관련하여 오류가 있으시면 댓글남겨주셔도 좋습니다.

 

감사합니다.

반응형

댓글53

  • 이전 댓글 더보기